
#!/usr/bin/env python3
# -*- coding: utf-8 -*-
""" Author:                     Hendrik Schutter, mail@hendrikschutter.com
    Date of creation:           2022/07/20
    Date of last modification:  2022/07/20
"""

from datetime import datetime
import os
import template_html as thtml

class exporter:
    export_dir=""
    tsStart = 0
    counter = 0
    def __init__(self, path):
        self.export_dir = path
        self.tsStart = datetime.now() #set start time for exporting 
        try:
            os.mkdir(self.export_dir)
        except FileExistsError:
            pass
   
    def export_comparison(self, seller_listing, competitor_listings):
        self.counter +=1
        f = open(os.path.join(self.export_dir, str(self.counter) + ".html"), "a")

        f.write(thtml.html_comparison_head())




        f.close()




    def export_startpage():
        duration = datetime.timestamp(self.tsStart)
        print("Comparison needed: ", duration)



if __name__ == "__main__":

    seller_listing_dummy = {
        'title': "Seller Title",
        'price': float(42.42),
        'image': "https://i.ebayimg.com/images/g/7lAAAOSw~ixieBVP/s-l500.jpg",
        'url'  : "https://www.ebay.de/itm/165508291809"
    }

    competitor_listings_dummy = [
        {
        'title': "Competitor Title 01",
        'price': float(40.42),
        'image': "https://i.ebayimg.com/images/g/7lAAAOSw~ixieBVP/s-l500.jpg",
        'url'  : "https://www.ebay.de/itm/165508291809"
        }, 
        {
        'title': "Competitor Title 02",
        'price': float(41.42),
        'image': "https://i.ebayimg.com/images/g/7lAAAOSw~ixieBVP/s-l500.jpg",
        'url'  : "https://www.ebay.de/itm/165508291809"
        }, 
        {
        'title': "Competitor Title 03",
        'price': float(42.00),
        'image': "https://i.ebayimg.com/images/g/7lAAAOSw~ixieBVP/s-l500.jpg",
        'url'  : "https://www.ebay.de/itm/165508291809"
        }
    ]

    exp = exporter("./html_out/")
    exp.export_comparison(seller_listing_dummy, competitor_listings_dummy)



